package com.yizhi.course.application.feign;

import com.yizhi.course.application.vo.OutsideEbscnCourseRecordVO;
import com.yizhi.course.application.vo.OutsideEbscnCourseVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * 岗前60小时查询接口
 */
@FeignClient(name = "course", contextId = "OutsideEbscnCourseClient")
public interface
OutsideEbscnCourseClient {

    @PostMapping("/outside/ebscn/study/record/get")
    List<OutsideEbscnCourseRecordVO> getStudyRecord(@RequestBody OutsideEbscnCourseVO vo);
}
