package com.yizhi.course.application.feign;

import com.yizhi.course.application.vo.AccountDurationVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "course", contextId = "RankListClient")
public interface RankListClient {
 
	@GetMapping("/rank/user/top")
	public AccountDurationVO userRank(@RequestParam("accountId") Long accountId,
                                      @RequestParam("companyId") Long companyId, @RequestParam("siteId") Long siteId,
                                      @RequestParam("top") Integer top);
}
