package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class AccreditCourseVO {

	@ApiModelProperty(value = "课程名称或者标签")
	private String name;

	@ApiModelProperty(value = "企业id")
	private Long companyId;

	@ApiModelProperty(value = "授权站点id")
	private Long sourceCompanyId;
	
	@ApiModelProperty(value = "站点id")
	private Long siteId;

	@ApiModelProperty(value = "跳转页数,默认第一页")
	private Integer pageNo;

	@ApiModelProperty(value = "每页条数,默认20条")
	private Integer pageSize;

}
