/**
 * FileName: ApiCommnentVo
 * Author:   wenjunlong
 * Date:     2018/4/19 10:54
 * Description: 课程详情评论列表展示vo
 * History:
 * <author>          <time>          <version>          <desc>
 * 作者姓名           修改时间           版本号              描述
 */
package com.yizhi.course.application.vo;

import com.yizhi.course.application.vo.domain.ReplyEntityVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 〈一句话功能简述〉<br> 
 * 〈课程详情评论列表展示vo〉
 *
 * @author wenjunlong
 * @create 2018/4/19
 * @since 1.0.0
 */
@Data
public class ApiCommnentVo {

    private Long id;

    @ApiModelProperty(value = "账号id")
    private Long accountId;

    @ApiModelProperty(value = "评论人")
    private String commentator;

    @ApiModelProperty(value = "评论内容")
    private String content;

    private Date createTime;

    @ApiModelProperty(value = "点赞数")
    private Integer thumbsUp;

    @ApiModelProperty(value = "是否点赞 1 是 0否")
    private Integer status;

    @ApiModelProperty(value = "用户头像")
    private String  userAvatar;

    @ApiModelProperty(value = "回复数")
    private Integer  replys;

    @ApiModelProperty(value = "回复列表")
    private List<ReplyEntityVo> replies = new ArrayList<>();
}
