package com.yizhi.course.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 音视频
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
@Data
@Api(tags = "AudioVideoVO", description = "音视频")
public class AudioVideoVO {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "封面图片")
    private String image;

    @ApiModelProperty(value = "素材id")
    private Long materialId;

    @ApiModelProperty(value = "音频解释")
    private String explanation;

    @ApiModelProperty(value = "流程视频地址")
    private String fdUrl;

    @ApiModelProperty(value = "标清视频地址")
    private String ldUrl;

    @ApiModelProperty(value = "高清程视频地址")
    private String sdUrl;

    @ApiModelProperty(value = "阿里云点播视频id")
    private String videoId;

}
