package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 分类组和分类的关联信息表
 * </p>
 *
 * @author xiehaijun
 * @since 2019-12-13
 */
@Data
@ApiModel(value="ClassifyGroup对象", description="分类组和分类的关联信息表")
public class ClassifyGroupVO {

    @ApiModelProperty(value = "分类id")
    private long classifyId;

    @ApiModelProperty(value = "分类层级")
    private int layer;

    @ApiModelProperty(value = "分类组的唯一id")
    private long classifyGroupInfoId;

    @ApiModelProperty(value = "是否是删除,true表示删除的数据")
    private Boolean isDelete;


}
