package com.yizhi.course.application.vo;

import com.yizhi.course.application.vo.domain.ChapterEntityVo;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * 获得课程所有的信息，章节列表，包括评论等
 */

@Data
public class CourseAllVo {

    private CourseVo courseVo;

    //章节
    private List<ChapterEntityVo> chapterVos = new ArrayList<ChapterEntityVo>();

    //评论加回复
    private List<CommentVo> commentVos = new ArrayList<CommentVo>();

    //评分
    private List<CourseGradeVO> courseGrades = new ArrayList<CourseGradeVO>();

}
