package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author: XieHaijun
 * @Description:
 * @Date: Created in 20:04 2018/5/8
 * @Modified By
 */
@ApiModel(
        value = "CourseForwardUserVo",
        description = "营销课程转发用户统计"
)
@Data
public class CourseForwardUserReq {

    @ApiModelProperty(value = "课程ID")
    private long courseId;

    @ApiModelProperty(value = "用户名（用户转发统计）")
    private String loginName;

    @ApiModelProperty(value = "开始时间（课程转发统计）")
    private Date startDate;

    @ApiModelProperty(value = "结束时间（课程转发统计）")
    private Date endDate;

}
