package com.yizhi.course.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 课程星级
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
@Data
@Api(tags = "CourseGradeVO", description = "课程星级")
public class CourseGradeVO {

    private static final long serialVersionUID = 1L;


	private Long id;

	@ApiModelProperty(value = "星级")
	private Integer level;

	@ApiModelProperty(value = "账号")
	private Long accountId;

	@ApiModelProperty(value = "课程id")
	private Long courseId;

}
