package com.yizhi.course.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 课程学习时长排名信息
 */
@Api(tags = {"CourseStudyDurationRankingVO"}, description = "课程接对象")
@Data
public class CourseStudyDrRankInfoVO {

    @ApiModelProperty(value = "用户id")
    private Long accountId;

    @ApiModelProperty(value = "排名")
    private Integer ranking;

    @ApiModelProperty(value = "头像")
    private String profilePicture;

    @ApiModelProperty(value = "账号")
    private String accountName;

    @ApiModelProperty(value = "姓名")
    private String accountFullName;

    @ApiModelProperty(value = "部门名称")
    private String orgName;

    @ApiModelProperty(value = "总学习时长")
    private Long durationSum;

    @ApiModelProperty(value = "数据截止时间")
    private String rankingDate;

   /*@ApiModelProperty(value = "组织id")
    private Long orgId;

    @ApiModelProperty(value = "站点id")
    private Long siteId;*/

    @ApiModelProperty(value = "站点排名列表")
    List<CourseStudyDurationRanking> rankingList;

}
