package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 课程学时发放明细
 * </p>
 *
 * @author 谢海军123
 * @since 2019-05-14
 */
@Data
@ApiModel(value = "CourseStudyHourVO", description = "课程学时发放明细")
public class CourseStudyHourVO {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
	private Long id;

    @ApiModelProperty(value = "企业id")
	private Long companyId;

    @ApiModelProperty(value = "组织id")
	private Long orgId;

    @ApiModelProperty(value = "站点id")
	private Long siteId;

    @ApiModelProperty(value = "用户id")
	private Long accountId;

    @ApiModelProperty(value = "课程id")
	private Long courseId;

    @ApiModelProperty(value = "获取的学时")
	private Float totalDuration;

    @ApiModelProperty(value = "获取学时时间")
	private Date createTime;



}
