package com.yizhi.course.application.vo;

import com.yizhi.course.application.vo.domain.RecordeEntityVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: XieHaijun
 * @Description:
 * @Date: Created in 10:48 2018/11/14
 * @Modified By
 */
@Api(
        tags = {"CourseStudyVO"},
        description = "课程学习对象"
)
@Data
public class CourseStudyVO {

    @ApiModelProperty(value = "章节学习记录")
    private RecordeEntityVo studyRecd;

    @ApiModelProperty(value = "积分发放的事件名称")
    private String eventName;
}
