package com.yizhi.course.application.vo;

import com.yizhi.course.application.vo.domain.ReplyEntityVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Data
public class ListCommentVo {

    private Long id;

    @ApiModelProperty(value = "账号id")
    private Long accountId;

    @ApiModelProperty(value = "评论人")
    private String commentator;
    
    @ApiModelProperty(value = "评论人姓名")
    private String commentatorName;
    
    @ApiModelProperty(value = "评论对象")
    private String replyName;

    @ApiModelProperty(value = "评论内容")
    private String content;

    private Date createTime;

    private Integer level;

    @ApiModelProperty(value = "点赞数")
    private Integer thumbsUp;

    @ApiModelProperty(value = "是否已经点赞")
    private Boolean hasThumbsUp;

    @ApiModelProperty(value = "用户头像")
    private String  userAvatar;

    @ApiModelProperty(value = "回复数")
    private Integer  replys;

    @ApiModelProperty("状态(0：上架|1：下架  默认为0)")
    private Integer status;
    
    @ApiModelProperty(value = "回复列表")
    private List<ReplyEntityVo> replies = new ArrayList<>();

    @ApiModelProperty("记录类型 0:评论 1:评分")
    private Integer type;
}
