package com.yizhi.course.application.vo;

import com.yizhi.core.application.context.RequestContext;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
@Data
public class MaterialSaveVO {
	
	
	    @ApiModelProperty("主键id")
	    private Long id;
	    
	    
	    @ApiModelProperty("1保存，2更改")
	    private Integer style;
	    
	    
	    @ApiModelProperty("logo图标")
	    private String logo;
	    
	    
	    @ApiModelProperty("素材名称")
	    private String name;
	    
	    
	    @ApiModelProperty("素材介绍内容")
	    private String content;
	    
	    
	    @ApiModelProperty("素材类型 ：1音频 2 视频 3 文本 4 富媒体")
	    private Integer type;
	    
	 
	    @ApiModelProperty("视频地址/富媒体")
	    private String fdUrl;
	    
	    @ApiModelProperty("视频标清地址")
	    private String ldUrl;
	    
	    @ApiModelProperty("视频高清地址")
	    private String sdUrl;
	    
	    
	    @ApiModelProperty(value="上下文对象",required=false)
	    private RequestContext context;
}
