/**
 * FileName: MyCourseRecordeVo
 * Author:   wenjunlong
 * Date:     2018/5/8 10:24
 * Description: 我的已经学习的课程记录
 * History:
 * <author>          <time>          <version>          <desc>
 * 作者姓名           修改时间           版本号              描述
 */
package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 〈一句话功能简述〉<br> 
 * 〈我的已经学习的课程记录〉
 *
 * @author wenjunlong
 * @create 2018/5/8
 * @since 1.0.0
 */
@Data
public class MyCourseRecordeVo {

    @ApiModelProperty(value = "课程id")
    private Long id;

    @ApiModelProperty(value = "课程名称")
    private String name;

    @ApiModelProperty(value = "课程评分")
    private Double level;

    @ApiModelProperty(value = "课程封面图")
    private String image;

    @ApiModelProperty(value = "作者单位")
    private String authorUnit;

    @ApiModelProperty(value = "学习时长")
    private Integer duration;

    @ApiModelProperty(value = "完成课程百分比")
    private Integer percent;
    @ApiModelProperty(value = "课程是否有效 0 无效，1 有效")
    private Integer valid;
}
