package com.yizhi.course.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 线下课程学习记录
 * </p>
 *
 * @author huangliang123
 * @since 2018-10-16
 */
@Data
@Api(tags = "OfflineRecordeVO", description = "学习记录")
public class OfflineRecordeVO {

    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "账号id")
    private Long accountId;

    @ApiModelProperty(value = "用户名")
    private String accountName;

    @ApiModelProperty(value = "线下课程id")
    private Long offlineCourseId;

    @ApiModelProperty(value = "学习开始时间")
    private Date startTime;

    @ApiModelProperty(value = "学习结束时间")
    private Date endTime;
    
    @ApiModelProperty(value = "状态:1通过,0不通过")
    private Integer status;

    @ApiModelProperty(value = "分数")
    private Float score;

    @ApiModelProperty(value = "积分")
    private Integer integral;

    private Date createTime;

    private Long orgId;

    private Long companyId;

    private Long siteId;

    /**
     * 是否删除
     */
    private Integer deleted;

    /**
     * 批次
     */
    private Integer batch;

}
