package com.yizhi.course.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author: dingxiaowei
 * @Description: 复旦mini mba项目获取多个项目学习总时长请求类
 * @Date: 2019-10-23
 * @Modified By
 */
@Api(
        tags = {"ProjectsDurationParamVO"},
        description = "复旦mini mba项目获取多个项目学习总时长请求类"
)
@Data
public class ProjectsDurationParamVO {

    @ApiModelProperty(value = "培训项目ids/课程ids")
    private List<Long> bizIds;

    @ApiModelProperty(value = "是否取实时数据 0:取前一天截止数据 1:取实时数据")
    private Integer isRealTime;

}
