package com.yizhi.course.application.vo;

import java.io.Serializable;

import java.util.Date;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Data;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 
 * </p>
 *
 * @author yinyuyan123
 * @since 2019-03-20
 */
@Data
@Api(tags = "StatisticsCourseMessage", description = "")
@TableName("statistics_course_message")
public class StatisticsCourseMessage extends Model<StatisticsCourseMessage> {

    private static final long serialVersionUID = 1L;


	private Long id;
	
	@ApiModelProperty(value = "站点id")
	@TableField("site_id")
	private Long siteId;

@ApiModelProperty(value = "课程id")
	@TableField("course_id")
	private Long courseId;

@ApiModelProperty(value = "账号id")
	@TableField("account_id")
	private Long accountId;

@ApiModelProperty(value = "等级")
	private Integer level;

@ApiModelProperty(value = "是否有评论默认给1")
	private Integer comment;

@ApiModelProperty(value = "首次完成时间")
	@TableField("finish_time")
	private Date finishTime;

@ApiModelProperty(value = "记录类型 1等级 2评论 3首次完成时间")
	private Integer type;

@ApiModelProperty(value = "记录创建时间")
	@TableField("recorde_time")
	private Date recordeTime;

	@ApiModelProperty(value = "收藏（1 表示被收藏，0表示没有收藏）")
	@TableField("collect_num")
	private Integer collectNum = 0;


	@Override
	protected Serializable pkVal() {
		return this.id;
	}

}
