package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author: XieHaijun
 * @Description:
 * @Date: Created in 14:41 2018/10/24
 * @Modified By
 */
@Data
@ApiModel(value = "TestCaseSubmitVO", description = "测验提交返回参数VO")
public class TestCaseSubmitVO {

    // 测验基本和关联主体部分
    @ApiModelProperty(value = "主键（测试试卷记录id，过程测试情况下，如果是在同一个测试，第一次提交返回该id，第二次应该传入第一次返回的id）")
    private Long id;

    @ApiModelProperty(value = "课程id")
    private Long courseId;

    @ApiModelProperty(value = "课程的章节id")
    private Long chapterId;

    @ApiModelProperty(value = "测验信息id")
    private Long testId;

    @ApiModelProperty(value = "测验名称")
    private String testName;

    @ApiModelProperty(value = "是否通过，true表示正确，通过（不需要传）")
    private Boolean isPass;

    @ApiModelProperty(value = "做正确的试题列表，最后一次提交返回（不需要传）")
    private List<Long> passIds;

    @ApiModelProperty(value = "做错误的试题列表，最后一次提交返回（不需要传）")
    private List<Long> errorIds;

    @ApiModelProperty(value = "测验成绩")
    private Integer source;

    @ApiModelProperty(value = "设定的分数")
    private Integer passSource;


}
