package com.yizhi.course.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 我的点赞
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
@Data
@Api(tags = "ThumbsUpVO", description = "我的点赞")
public class ThumbsUpVO{

    private static final long serialVersionUID = 1L;


	private Long id;

	@ApiModelProperty(value = "课程id")
	private Long courseId;

	@ApiModelProperty(value = "账号id")
	private Long accountId;

	private Long siteId;

	@ApiModelProperty(value = "点赞的评论id")
	private Long commentId;

	private Long companyId;

	@ApiModelProperty(value = "是否已经点赞")
	private Boolean hasThumbsUp;

	@ApiModelProperty(value = "点赞次数")
	private Integer thumbsUpNum;

}
