package com.yizhi.course.application.controller;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author: shengchenglong
 * @Date: 2019/1/24 21:45
 */
public class AccountLastClassifyIdUtil {

    private static final Map<Long, Long> map = new HashMap<>();

    public static void clear(Long accountId) {
        map.remove(accountId);
    }

    public static void add(Long accountId, Long lastClassifyId) {
        map.put(accountId, lastClassifyId);
    }

    public static boolean sameAsBeforeLast(Long account, Long nowFirstClassifyId) {
        if (map.containsKey(account)) {
            if (map.get(account).equals(nowFirstClassifyId)) {
                return true;
            }
        }
        return false;
    }

}
