package com.yizhi.course.application.controller;

import com.yizhi.application.orm.id.IdGenerator;
import com.yizhi.course.application.service.using.RemoteDaIndicatorServiceUsing;
import com.yizhi.course.application.vo.RemoteDaIndicatorVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;

/**
 * @ClassName DaIndicatorAccountController
 * @Description TODO
 * @Author shengchenglong
 * @DATE 2019-10-09 16:52
 * @Version 1.0
 */
@RestController
@RequestMapping("/remote/da/course/")
public class RemoteDaIndicatorController {


    @Autowired
    private IdGenerator idGenerator;
    @Autowired
    private RemoteDaIndicatorServiceUsing remoteDaIndicatorServiceUsing;

    /**
     * dashboard - 完成课程数
     *
     * @return
     */
    @PostMapping("courseFinish")
    public boolean courseFinish(@RequestBody RemoteDaIndicatorVo vo) {
        return remoteDaIndicatorServiceUsing.courseFinish(vo.getSiteId(), vo.getStartDate(), vo.getEndDate(), vo.getProcessTime());
    }

    /**
     * dashboard - 课程学习时长
     *
     * @return
     */
    @PostMapping("courseTime")
    public boolean courseTime(@RequestBody RemoteDaIndicatorVo vo) {
        return remoteDaIndicatorServiceUsing.courseTime(vo.getSiteId(), vo.getStartDate(), vo.getEndDate(), vo.getProcessTime());
    }
}
