package com.yizhi.course.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-11-04
 */
@Data
@ApiModel(value = "CourseMqRecord", description = "")
@TableName("course_mq_record")
public class CourseMqRecord {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
	private Long id;

    @ApiModelProperty(value = "消息队列发送的消息类型（文本）")
	@TableField("envet_type")
	private String envetType;

    @ApiModelProperty(value = "课程id")
	@TableField("course_id")
	private Long courseId;

    @ApiModelProperty(value = "用户id")
	@TableField("accout_id")
	private Long accoutId;

    @ApiModelProperty(value = "章节id")
	@TableField("chapter_id")
	private Long chapterId;

    @ApiModelProperty(value = "数据创建时间")
	@TableField("create_tiem")
	private Date createTiem;



}
