package com.yizhi.course.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * <p>
 * </p>
 *
 * @author fulan123
 * @since 2018-03-30
 */
@Data
@Api(tags = "TrProjectCourse", description = "")
@TableName("tr_project_course")
public class ProjectCourse extends Model<ProjectCourse> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "项目id")
    @TableField("training_project_id")
    private Long trainingProjectId;

    @ApiModelProperty(value = "课程id")
    @TableField("course_id")
    private Long courseId;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
