package com.yizhi.course.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.course.application.domain.Comment;
import com.yizhi.course.application.vo.ApiCommnentVo;
import com.yizhi.course.application.vo.ListCommentVo;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.session.RowBounds;

import java.util.List;

/**
 * <p>
 * 评论 Mapper 接口
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
public interface CommentMapper extends BaseMapper<Comment> {

    List<ListCommentVo> getCommentPage(@Param("courseId")Long courseId, @Param("accountIds")List<Long> accountIds, @Param("status")Integer status, RowBounds rowBounds);

    Integer getCommentPageCount(@Param("courseId") Long courseId,@Param("accountIds")List<Long> accountIds,@Param("status")Integer status);

    List<ApiCommnentVo> apiCourseCommentPage(@Param("courseId")Long courseId, @Param("accountId")Long accountId, RowBounds rowBounds);

    Integer apiCourseCommentPageCount(@Param("courseId")Long courseId,@Param("accountId")Long accountId);

    List<ListCommentVo> getCommentList(@Param("courseId")Long courseId,@Param("accountIds")List<Long> accountIds,@Param("status")Integer status);

    List<ListCommentVo> getGradeList(@Param("courseId")Long courseId,@Param("accountIds")List<Long> accountIds,@Param("status")Integer status);



}
