package com.yizhi.course.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.course.application.domain.ViewCourseCount;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * mapper层新增
 */
public interface ICourseCountMapper  extends BaseMapper<ViewCourseCount> {

    @Select("SELECT count(DISTINCT(course_id)) FROM course_view_record WHERE account_id = #{accountId} AND site_id = #{siteId} ")
    Integer getCount(@Param("siteId") Long siteId, @Param("accountId") Long accountId);
}
