package com.yizhi.course.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.course.application.vo.MarketingCourseViewVo;
import com.yizhi.course.application.vo.ReportMarketingCourseAccountVo;
import com.yizhi.course.application.vo.ReportMarketingCourseDataChartsVo;
import com.yizhi.course.application.vo.ReportMarketingCourseVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author: XieHaijun
 * @Description:
 * @Date: Created in 17:29 2018/8/16
 * @Modified By
 */
public interface ReportMkCourseMapper extends BaseMapper<ReportMarketingCourseVo> {

    List<ReportMarketingCourseDataChartsVo> countShare(@Param("cid") Long cid,
                                                       @Param("siteId") Long siteId,
                                                       @Param("orgs") List<Long> orgs,
                                                       @Param("startDate") String startDate,
                                                       @Param("endDate") String endDate,
                                                       @Param("type") Integer type);


    List<ReportMarketingCourseDataChartsVo> countRead(@Param("cid") Long cid,
                                                       @Param("siteId") Long siteId,
                                                       @Param("orgs") List<Long> orgs,
                                                       @Param("startDate") String startDate,
                                                       @Param("endDate") String endDate,
                                                       @Param("type") Integer type);


    List<ReportMarketingCourseVo> marketingCourseShareGroup(@Param("cid") Long cid,
                                                            @Param("siteId") Long siteId,
                                                            @Param("orgs") List<Long> orgs,
                                                            @Param("startDate") String startDate,
                                                            @Param("endDate") String endDate,
                                                            @Param("kwd") String kwd);

    //@SelectProvider(type = ReportMkCourseSqlBuilder.class, method = "courseReadGroupSql")//指定所用sql语句
    //@ResultType(value = ReportMarketingCourseVo.class)
    //@ResultMap(value = {"courseShare"})//实体的别名？
    List<ReportMarketingCourseVo> marketingCourseReadGroup(@Param("cid") Long cid,
                                                            @Param("siteId") Long siteId,
                                                            @Param("orgs") List<Long> orgs,
                                                            @Param("startDate") String startDate,
                                                            @Param("endDate") String endDate,
                                                            @Param("kwd") String kwd);

    List<ReportMarketingCourseVo> marketingCourseOpenGroup(@Param("cid") Long cid,
                                                           @Param("siteId") Long siteId,
                                                           @Param("orgs") List<Long> orgs,
                                                           @Param("startDate") String startDate,
                                                           @Param("endDate") String endDate,
                                                           @Param("kwd") String kwd);

    List<MarketingCourseViewVo> marketingCourseViewList(@Param("courseId") Long courseId,
                                                        @Param("nikeName") String nikeName);


    List<ReportMarketingCourseAccountVo> mCAccountShareGroup(@Param("startDate") String startDate, @Param("endDate") String endDate,
                                                             @Param("orgKwd") List<Long> orgKwd, @Param("accountKwd") List<Long> accountKwd,
                                                             @Param("cid") Long cid, @Param("siteId") Long siteId,
                                                             @Param("orgs") List<Long> orgs);

    List<ReportMarketingCourseAccountVo> mCAccountReadGroup(@Param("startDate") String startDate, @Param("endDate") String endDate,
                                                        @Param("orgKwd") List<Long> orgKwd, @Param("accountKwd") List<Long> accountKwd,
                                                        @Param("cid") Long cid, @Param("siteId") Long siteId,
                                                        @Param("orgs") List<Long> orgs);

    List<ReportMarketingCourseAccountVo> downReadStatistics(@Param("startDate") String startDate, @Param("endDate") String endDate,
                                                            @Param("orgKwd") List<Long> orgKwd, @Param("accountKwd") List<Long> accountKwd,
                                                            @Param("cid") Long cid, @Param("siteId") Long siteId,
                                                            @Param("orgs") List<Long> orgs);

    List<ReportMarketingCourseAccountVo> downOpenStatistics(@Param("startDate") String startDate, @Param("endDate") String endDate,
                                                            @Param("orgKwd") List<Long> orgKwd, @Param("accountKwd") List<Long> accountKwd,
                                                            @Param("cid") Long cid, @Param("siteId") Long siteId,
                                                            @Param("orgs") List<Long> orgs);

    List<ReportMarketingCourseAccountVo> downReadDetailStatistics(@Param("startDate") String startDate, @Param("endDate") String endDate,
                                                            @Param("orgKwd") List<Long> orgKwd, @Param("accountKwd") List<Long> accountKwd,
                                                            @Param("cid") Long cid, @Param("siteId") Long siteId,
                                                            @Param("orgs") List<Long> orgs);

    List<ReportMarketingCourseAccountVo> mCAccountOpenGroup(@Param("startDate") String startDate, @Param("endDate") String endDate,
                                                            @Param("orgKwd") List<Long> orgKwd, @Param("accountKwd") List<Long> accountKwd,
                                                            @Param("cid") Long cid, @Param("siteId") Long siteId,
                                                            @Param("orgs") List<Long> orgs);


}
