package com.yizhi.course.application.service.impl;

import com.yizhi.course.application.domain.CourseDescription;
import com.yizhi.course.application.mapper.CourseDescriptionMapper;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.course.application.service.ICourseDescriptionService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 课程简介 服务实现类
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class CourseDescriptionServiceImpl extends ServiceImpl<CourseDescriptionMapper, CourseDescription> implements ICourseDescriptionService {

    @Override
    public CourseDescription getByCourseId(Long courseId) {
        return this.baseMapper.getByCourseId(courseId);
    }
}
