package com.yizhi.course.application.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.core.application.context.ContextHolder;
import com.yizhi.core.application.context.RequestContext;
import com.yizhi.course.application.domain.ViewCourseCount;
import com.yizhi.course.application.mapper.ICourseCountMapper;
import com.yizhi.course.application.service.ICourseCountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 服务层
 */
@Service
public class ICourseCountServiceImpl extends ServiceImpl<ICourseCountMapper, ViewCourseCount> implements ICourseCountService {

    @Autowired
    private ICourseCountMapper iCourseCountMapper;


    @Override
    public Integer getCount() {
      RequestContext context = ContextHolder.get();
        return this.baseMapper.getCount(context.getSiteId(),context.getAccountId());

    }

}
