package com.yizhi.course.application.service.impl;

import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.course.application.domain.ScormRecord;
import com.yizhi.course.application.mapper.ScormRecordMapper;
import com.yizhi.course.application.service.IScormRecordService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * Scorm 学习记录 服务实现类
 * </p>
 *
 * @author shengchenglong123
 * @since 2018-10-31
 */
@Service
public class ScormRecordServiceImpl extends ServiceImpl<ScormRecordMapper, ScormRecord> implements IScormRecordService {

    @Override
    public ScormRecord findExtisRecord(Long accountId, Long companyId, Long siteId, Long scormId, String scormStartTime) {
        return this.baseMapper.findExtisRecord(accountId,companyId,siteId,scormId,scormStartTime);
    }
}
