package com.yizhi.course.application.feign;


import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.course.application.vo.ProjectCourseVo;
import com.yizhi.course.application.vo.ProjectSeachCourseVo;
import com.yizhi.course.application.vo.domain.ProjectCourseEntityVo;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = "course", contextId = "ProjectCourseClient")
public interface ProjectCourseClient {

    @GetMapping("/projectCourse/list")
    Page<ProjectCourseVo> projectList(@RequestBody ProjectSeachCourseVo projectSeachCourseVo);

    @PostMapping("/projectCourse/save")
    Boolean projectCourseSave(@RequestBody ProjectCourseEntityVo projectCourse);

    @PostMapping("/projectCourse/delete")
    Boolean projectCourseDelete(@RequestBody ProjectCourseEntityVo projectCourse);



}
