package com.yizhi.course.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.Date;

/**
 * @author lilingye
 * @date 2018-9-26
 */
@Api(tags = "AuthorizeCourseVO", description = "授权返回列表")
@Data
public class AuthorizeCourseVO {

    private Long id;
    // 站点id
    @ApiModelProperty(value = "站点id")
    private Long siteId;
    // 站点名称
    @ApiModelProperty(value = "站点名")
    private String siteName;
    // 公司id
    @ApiModelProperty(value = "公司id")
    private Long companyId;
    // 公司名称
    @ApiModelProperty(value = "公司名称")
    private String companyName;

    //授权数量
    @ApiModelProperty(value = "授权课程数量")
    private Integer authorizeCount;

    // 授权时间
    @ApiModelProperty(value = "授权时间")
    private Date authorizeDate;

    // 站点编码
    @ApiModelProperty(value = "站点编码")
    private String siteCode;
    //授权课程
    @ApiModelProperty(value = "有效课程数")
    private Integer validCourseCount;

}
