package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 营销课程名片配置
 * </p>
 *
 * @author 谢海军123
 * @since 2019-03-07
 */
@Data
@ApiModel(value = "CardInfoVO", description = "提供显示的名片信息")
public class CardInfoVO {

    @ApiModelProperty(value = "名片上部是否显示，0(false):不显示；1(true):显示")
	private Boolean cardTopDisplay;

    @ApiModelProperty(value = "上部横幅内容文字")
	private String topBarText;

    @ApiModelProperty(value = "上部横幅的背景色")
	private String topBarBgcolor;

    @ApiModelProperty(value = "上部横幅显示的按钮 （显示电话和邮箱；0：显示电话和邮箱；1显示电话；2显示邮箱；3不显示按钮")
	private String topBarButton;

    @ApiModelProperty(value = "名片中间主体区域显示，0(false):不显示；1(true):显示")
	private Boolean cardBodyDisplay;

    @ApiModelProperty(value = "中间主体内容_字段1(目前设计为强制显示姓名)  默认为true，显示")
	private String bodyField1;

    @ApiModelProperty(value = "字段2到字段字段4选择列表；值={0:隐藏该字段；1:职务；2部门；3企业名称；4电话；5邮箱；6备注1；7备注2；8；备注3}")
	private String bodyField2;

    @ApiModelProperty(value = "字段2到字段字段4选择列表；值={0:隐藏该字段；1:职务；2部门；3企业名称；4电话；5邮箱；6备注1；7备注2；8；备注3}")
	private String bodyField3;

    @ApiModelProperty(value = "字段2到字段字段4选择列表；值={0:隐藏该字段；1:职务；2部门；3企业名称；4电话；5邮箱；6备注1；7备注2；8；备注3}")
	private String bodyField4;

    @ApiModelProperty(value = "字段5  个性签名是否显示 0(false):不显示；1(true):显示")
	private String bodyField5;

    @ApiModelProperty(value = "主体背景图")
	private String bodyBgimg;

    @ApiModelProperty(value = "名片底部展开信息是否显示，0(false):不显示；1(true):显示")
	private Boolean cardFootDisplay;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "头像")
    private String headPortrait;

}
