package com.yizhi.course.application.vo;

import com.baomidou.mybatisplus.annotations.TableField;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Api(
        tags = {"ChapterVo"},
        description = "章节接受参数对象"
)
@Data
public class ChapterVo {

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "章节父id")
    private Long parentId;

    @ApiModelProperty(value = "章节名称")
    private String name;

    @ApiModelProperty(value = "素材id")
    private Long materialId;

    @ApiModelProperty(value = "素材名称")
    private String materialName;

    @ApiModelProperty(value = "素材类型1音频 2 视频 3 文本 4 富媒体 5 Scrom (7 过程测验，8总结性测验 ,9 直播")
    private Integer materialType;

    @ApiModelProperty(value = "可以获得积分")
    private Integer score;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "课程")
    private Long courseId;

    @ApiModelProperty(value = "排序")
    private Integer sort;

}
