package com.yizhi.course.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 课程指定用户
 * </p>
 *
 * @author 谢海军
 * @since 2018-06-26
 */
@Data
@Api(tags = "CourseAccountVO", description = "课程指定用户")
public class CourseAccountVO {

	@ApiModelProperty(value = "唯一主键")
	private Long id;

	@ApiModelProperty(value = "指定的对象id")
	private Long relationId;

	@ApiModelProperty(value = "指定的对象名")
	private String name;

	@ApiModelProperty(value = "课程id")
	private Long courseId;

	@ApiModelProperty(value = "1.部门，2.用户，3.用户组")
	private Integer type;

	@ApiModelProperty(value = "站点id")
	private Long siteId;

	@ApiModelProperty(value = "用户名")
	private String fullName;

	@ApiModelProperty(value = "工号")
	private String workNum;

}
