package com.yizhi.course.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @Author: XieHaijun
 * @Description:
 * @Date: Created in 13:41 2019/4/11
 * @Modified By
 */
@Data
@Api(
        tags = {"CourseTotalDurationInfoVO"},
        description = "课程学时相关信息"
)
public class CourseTotalDurationInfoVO {

    @ApiModelProperty(value = "默认建议学时时长")
    private Float defualtTotalDuration;

    @ApiModelProperty(value = "课程学时显示 true 显示，false不显示")
    private boolean courseDurationShow;

    @ApiModelProperty(value = "培训项目学时显示 true 显示，false不显示")
    private boolean trainingDurationShow;

    @ApiModelProperty(value = "课程类型 : 0 一般课程  1 Scorm课程")
    private Integer courseType;

    @ApiModelProperty(value = "是否启用在日历任务中显示")
    private Integer enableTask;

    @ApiModelProperty(value = "日历任务设置的开始时间")
    private Date taskStartDate;

    @ApiModelProperty(value = "日历任务设置的结束时间")
    private Date taskEndDate;

}
