/**
 * FileName: HeartBeatVo
 * Author:   wenjunlong
 * Date:     2018/4/27 13:48
 * Description: 心跳包的 心跳配置和nginx配置
 * History:
 * <author>          <time>          <version>          <desc>
 * 作者姓名           修改时间           版本号              描述
 */
package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 〈一句话功能简述〉<br> 
 * 〈心跳包的 心跳配置和nginx配置〉
 *
 * @author wenjunlong
 * @create 2018/4/27
 * @since 1.0.0
 */
@Data
public class HeartBeatVo {

    @ApiModelProperty(value = "心跳时间间隔 单位秒")
    private Integer count = 5;

    @ApiModelProperty(value = "nginx所在服务器地址")
//    private String nginxAddress = "http://uat.vmceshi.com";
    private String nginxAddress = "http://uat.vmceshi.com";
//    private String nginxAddress = "http://192.168.0.173";

    @ApiModelProperty(value = "nginx所在服务器文件路径")
    private String nginxpath = "/opt/nginx";






}
