package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 最后观看记录
 * </p>
 *
 * @author 谢海军123
 * @since 2019-06-18
 */
@Data
@ApiModel(value = "LastViewRecordVO", description = "最后观看记录")
public class LastViewRecordVO {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "企业id")
	private Long companyId;

    @ApiModelProperty(value = "组织id")
	private Long orgId;

    @ApiModelProperty(value = "站点id")
	private Long siteId;

    @ApiModelProperty(value = "账号id")
	private Long accountId;

    @ApiModelProperty(value = "课程")
	private Long courseId;

    @ApiModelProperty(value = "章节id")
	private Long chapterId;

    @ApiModelProperty(value = "创建时间")
	private Date createTime;

    @ApiModelProperty(value = "观看的时间点")
	private Long viewPonit;



}
