package com.yizhi.course.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Collections;
import java.util.List;

/**
 * <p>
 * 分页管理类
 * </p>
 *
 * @author lilingye
 * @Date 2018-6-6 16:39:08
 */
@Data
@Api(tags = "PageCourseAuthorizeVO", description = "对象输出类")
public class PageCourseAuthorizeVO {

	/**
	 * 数据列表
	 */
	private List<AuthorizedCourseVO> records = Collections.emptyList();
	
	/**
	 * 记录总数
	 */
	@ApiModelProperty(value ="记录总数")
	private Integer pageRecords;
	/**
	 * 总页数
	 */
	@ApiModelProperty(value ="总页数")
	private Integer pageTotal;
	/**
	 * 当前页
	 */
	@ApiModelProperty(value = "当前页")
	private Integer pageNo;
	/**
	 * 每页记录数
	 */
	@ApiModelProperty(value = "每页记录数")
	private Integer pageSize;

}
