package com.yizhi.course.application.vo;

import com.yizhi.course.application.vo.domain.CourseEntityVo;
import com.yizhi.util.application.page.PageParam;
import io.swagger.annotations.Api;
import lombok.Data;
import org.apache.poi.ss.formula.functions.T;

/**
 * @Author: XieHaijun
 * @Description: 查询课程对象
 * @Date: Created in 17:38 2018/4/8
 */
@Api(
        tags = {"QueryCourseRequest"},
        description = "课程分页查询对象"
)
@Data
public class QueryCourseRequest {

    /**
     * 分页参数
     */
    private PageParam<T> pageParam;

    /**
     * 名称或者序号参数
     */
    private String nameOrSortNum;

    /**
     * 分类ID
     */
    private Long classifyId;
}
