package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 学习营销按课程统计
 * @author mei
 *
 */

@Data
public class ReportMarketingCourseVo {
	
	@ApiModelProperty(value = "课程ID")
	private Long id;
	
	@ApiModelProperty(value = "课程编码")
	private String code;	
	
	@ApiModelProperty(value = "课程名称")
	private String name;
	
	@ApiModelProperty(value = "转发人数（空返回0）")
	private Integer totalSend = 0;
	
	@ApiModelProperty(value = "微信转发次数（空返回0）")
	private Integer totalWxSendCount = 0;
	
	@ApiModelProperty(value = "阅读次数（空返回0）")
	private Integer totalReadCount = 0;

	@ApiModelProperty(value ="阅读总时长(单位：毫秒)")
	private Long readTimeSum;

	@ApiModelProperty(value ="阅读平均时长(单位：毫秒)")
	private Long readTimeAvg;

	@ApiModelProperty(value ="阅读总时长(以字符串显示)")
	private String readTimeSumStr;

	@ApiModelProperty(value ="阅读平均时长(以字符串显示)")
	private String readTimeAvgStr;

	@ApiModelProperty(value ="课程打开次数")
	private Integer openCount = 0;

}
