package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @Author: shengchenglong
 * @Date: 2018/10/22 15:13
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("线下课程-报表 统计详情 vo")
public class ReportOfflineCourseStatisticsDetailVo {

    @ApiModelProperty("课程 id")
    private Long courseId;

    @ApiModelProperty("课程编码")
    private String courseCode;

    @ApiModelProperty("课程名称")
    private String courseName;

    @ApiModelProperty("学习人数")
    private Integer accountNum;

    @ApiModelProperty("课程创建时间")
    private Date createTime;

    @ApiModelProperty("课程开始时间")
    private Date startTime;

    @ApiModelProperty("课程结束时间")
    private Date endTime;

}
