package com.yizhi.course.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * Scorm 学习记录
 * </p>
 *
 * @author shengchenglong123
 * @since 2018-10-31
 */
@Data
@Api(tags = "ScormRecordVO", description = "Scorm 学习记录")
public class ScormRecordVO {

    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty(value = "scormId")
    private Long scormId;

    @ApiModelProperty(value = "章节 id")
    private Long chapterId;

    @ApiModelProperty(value = "用户 id")
    private Long accountId;

    @ApiModelProperty(value = "scorm 学习数据")
    private String data;

    @ApiModelProperty(value = "是否完成：0否，1是")
    private Integer finished;

    @ApiModelProperty(value = "是否删除：0否，1是")
    private Integer deleted;

    @ApiModelProperty(value = "scorm获得分数")
    private Float score;

    @ApiModelProperty(value = "学习时长")
    private Long totalStudySeconds;

    private Date createTime;

    private Date updateTime;

    private Long siteId;

    private Long companyId;

    @ApiModelProperty(value = "当次学习时长")
    private Long currentStudySeconds;

    @ApiModelProperty(value = "开始学习时间")
    private Date startStudyTime;

    @ApiModelProperty(value = "终端类型")
    private String terminalType;

    private Integer num;

}
