package com.yizhi.course.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 测验试题答案选项
 * </p>
 *
 * @author 谢海军123
 * @since 2018-10-11
 */
@Data
@ApiModel(value = "TestCaseRecordOpVO", description = "测验试题记录答案选项")
public class TestCaseRecordOpVO {

    @ApiModelProperty(value = "测验试题答案选项id")
	private Long id;

    @ApiModelProperty(value = "选项内容文字")
	private String answerOption;

    @ApiModelProperty(value = "是否是答案： false [0表示不是答案]；true [1表示正确答案]")
	private Boolean answerResult;

    @ApiModelProperty(value = "测验试题id")
	private Long testSubjectId;

    @ApiModelProperty(value = "序号")
	private Integer sort;

    @ApiModelProperty(value = "是否选中该答案。true为选中")
    private Boolean selectd = false;

}
