package com.yizhi.course.application.vo.domain;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 评论
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
@Data
@Api(tags = "ReplyEntityVo", description = "评论")
public class ReplyEntityVo{

    private static final long serialVersionUID = 1L;


    private Long id;

    @ApiModelProperty(value = "账号id")
    private Long accountId;

    @ApiModelProperty(value = "回复人")
    private String replier;
    
    @ApiModelProperty(value = "回复人姓名")
    private String replierName;

    @ApiModelProperty(value = "回复内容")
    private String content;

    private Date createTime;

    @ApiModelProperty(value = "审核状态")
    private Integer deleted;

    @ApiModelProperty(value = "课程id")
    private Long courseId;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "评论id")
    private Long commentId;

    @ApiModelProperty(value = "审核备注")
    private String rmark;

    @ApiModelProperty(value = "用户头像")
    private String  userAvatar;

    @ApiModelProperty(value = "回复用户父id")
    private Long parentAccountId;

    @ApiModelProperty("回复用户父姓名")
    private String parentAccountFullName;

    @ApiModelProperty(value = "回复用户父账号名称")
    private String parentAccountName;

    @ApiModelProperty("评论回复父Id(若无默认为0)")
    private Long replyParentId;

    @ApiModelProperty("状态(0：上架|1：下架  默认为0)")
    private Integer status;


}
