package com.yizhi.course.application.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.Api;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 课程收藏
 * </p>
 *
 * @author fulan123
 * @since 2018-04-23
 */
@Data
@Api(tags = "Favorite", description = "课程收藏")
@TableName("favorite")
public class Favorite extends Model<Favorite> {

    private static final long serialVersionUID = 1L;


	private Long id;

	@TableField("course_id")
	private Long courseId;

	@TableField("account_id")
	private Long accountId;

	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;


	@Override
	protected Serializable pkVal() {
		return this.id;
	}

}
