package com.yizhi.course.application.domain.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: MaterialExportDto
 * @author: zjl
 * @date: 2021/1/29  16:19
 */
@Data
public class MaterialExportDto {

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "课程code")
    private String courseCode;

    @ApiModelProperty(value = "课程类型")
    private Integer courseType;

    @ApiModelProperty(value = "课程状态（0 未上架 1 已上架 2 草稿）")
    private Integer shelves;

    @ApiModelProperty(value = "章节名称")
    private String chapterName;

    @ApiModelProperty(value = "素材类型")
    private Integer materialType;

    @ApiModelProperty(value = "素材编码")
    private String materialCode;

    @ApiModelProperty(value = "素材名称")
    private String materialName;

    @ApiModelProperty(value = "小时")
    private Integer textHour;

    @ApiModelProperty(value = "分")
    private Integer textMinute;

    @ApiModelProperty(value = "秒")
    private Integer textSecond;

    @ApiModelProperty(value = "测验编码")
    private String testCode;

    @ApiModelProperty(value = "测验名称")
    private String testName;

    @ApiModelProperty(value = "素材/测验积分")
    private Integer score;
}
