package com.yizhi.course.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.course.application.domain.DocPages;
import com.yizhi.course.application.vo.DocPagesVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 文档课程 Mapper 接口
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
public interface DocPagesMapper extends BaseMapper<DocPages> {

    void deleteByMaterialId(@Param(value = "materialId") Long materialId);

    List<DocPagesVO> getByMaterialId(@Param(value = "materialId") Long materialId);

    List<DocPagesVO>
    getByMaterialIds(@Param(value = "materialIds") List<Long> materialIds);
}
