package com.yizhi.course.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.course.application.domain.RichMedia;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 课程富媒体保存 Mapper 接口
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
public interface RichMediaMapper extends BaseMapper<RichMedia> {

    void deleteByMaterialId(@Param(value = "materialId") Long materialId);

    List<RichMedia> getByMaterialId(@Param(value = "materialId") Long materialId);

    List<RichMedia> getByMaterialIds(@Param(value = "materialIds") List<Long> materialIds);

}
