package com.yizhi.course.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.course.application.domain.TestInfo;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 测验表 Mapper 接口
 * </p>
 *
 * @author 谢海军123
 * @since 2018-10-11
 */
public interface TestMapper extends BaseMapper<TestInfo> {

    @Select("SELECT id,`status` FROM test WHERE id=#{id} FOR UPDATE")
    TestInfo selectForUp(@Param("id") Long id);
}
