package com.yizhi.course.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.course.application.domain.BrowseRecords;
import com.yizhi.course.application.domain.Course;
import com.yizhi.course.application.vo.AccountVO;
import com.yizhi.course.application.vo.MarketingCourseVo;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 谢海军123
 * @since 2018-04-09
 */
public interface IBrowseRecordsService extends IService<BrowseRecords> {


    /**
     * 增加浏览记录
     * @param courseId
     * @param shareId
     * @param accountId
     * @param openId
     * @param marketingCourseVo
     * @param course
     * @param accountVO
     * @param tkAccountId
     */
    public void addReadRecodes(Long courseId,
                               Long shareId,
                               Long accountId,
                               String openId,
                               MarketingCourseVo marketingCourseVo,
                               Course course,
                               AccountVO accountVO,
                               Long tkAccountId,
                               String childShareOpenId);

}
