package com.yizhi.course.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.course.application.domain.Comment;
import com.yizhi.course.application.vo.ApiCommnentVo;
import com.yizhi.course.application.vo.ListCommentVo;
import java.util.List;

/**
 * <p>
 * 评论 服务类
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
public interface ICommentService extends IService<Comment> {

    Page<ListCommentVo> getCommentPage(Long coursrId, int pageNo, int pageSize, List<Long> accountIds, Integer status);


    Page<ApiCommnentVo> apiCourseCommentPage(Long coursrId, Long accountId, int pageNo, int pageSize);
    
    List<ListCommentVo> getCommentList(Long coursrId,List<Long> accountIds,Integer status);

}
