package com.yizhi.course.application.service;


import com.baomidou.mybatisplus.service.IService;
import com.yizhi.course.application.domain.ThumbsUp;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 我的点赞 服务类
 * </p>
 *
 * @author fulan123
 * @since 2018-03-19
 */
public interface IThumbsUpService extends IService<ThumbsUp> {
    /**
     * 判断是否已经点赞
     * @param courseId
     * @param CommentId 评论Id
     * @return
     */
    Boolean judgeHasThumbsUp(Long courseId,Long commentId);

    /**
     * 获取点赞信息
     * @param siteId
     * @param commentIds
     * @return
     */
    Map<Long,ThumbsUp> getThumbsInfo(Long siteId,List<Long> commentIds,Long accountId );


}
