package com.yizhi.course.application.service.impl;

import com.yizhi.course.application.domain.LastViewRecord;
import com.yizhi.course.application.mapper.LastViewRecordMapper;
import com.baomidou.mybatisplus.service.impl.ServiceImpl;
import com.yizhi.course.application.service.ILastViewRecordService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 最后观看记录 服务实现类
 * </p>
 *
 * @author 谢海军123
 * @since 2019-06-18
 */
@Service
public class LastViewRecordServiceImpl extends ServiceImpl<LastViewRecordMapper, LastViewRecord> implements ILastViewRecordService {


    @Override
    public Integer updateByProgress(Long accountId, Long chapterId, Long progress) {
        return this.baseMapper.updateByProgress(accountId, chapterId, progress );
    }
}
